uk.gov.hmrc.performance.conf

# ServicesConfiguration

###
Related Doc: package conf

#### trait ServicesConfiguration extends Configuration

Linear Supertypes
Configuration, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ServicesConfiguration
2. Configuration
3. AnyRef
4. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### lazy val applicationConfig: Config

   Definition Classes
     Configuration

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def baseUrlFor(serviceName: String): String

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hasProperty(property: String): Boolean

    Definition Classes
      Configuration

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def keys(property: String): List[String]

    Definition Classes
      Configuration

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def readProperty(property: String, default: String): String

    Definition Classes
      Configuration

20. #### def readProperty(property: String): String

    Definition Classes
      Configuration

21. #### def readPropertyBooleanOption(property: String): Option[Boolean]

    Definition Classes
      Configuration

22. #### def readPropertyList(property: String): List[String]

    Definition Classes
      Configuration

23. #### def readPropertyOption(property: String): Option[String]

    Definition Classes
      Configuration

24. #### def readPropertySet(property: String): Set[String]

    Definition Classes
      Configuration

25. #### def readPropertySetOrEmpty(property: String): Set[String]

    Definition Classes
      Configuration

26. #### lazy val runLocal: Boolean

    Definition Classes
      Configuration

27. #### def serviceIsDefined(protocol: String, host: String, port: String): Boolean

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Configuration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped